aboutsummaryrefslogtreecommitdiffstats
path: root/.travis
diff options
context:
space:
mode:
authorAlex Gaynor <alex.gaynor@gmail.com>2015-07-12 12:13:55 -0500
committerAlex Gaynor <alex.gaynor@gmail.com>2015-07-12 12:13:55 -0500
commitb724d98422c3f070b6d9aa9f9b7621f38bbfa8c1 (patch)
tree3469d24a96e93b3f7126046b8d5144fb762be7f2 /.travis
parent26516e52ec6c463a4db725c7d6f07b49b18c4e21 (diff)
downloadcryptography-b724d98422c3f070b6d9aa9f9b7621f38bbfa8c1.tar.gz
cryptography-b724d98422c3f070b6d9aa9f9b7621f38bbfa8c1.tar.bz2
cryptography-b724d98422c3f070b6d9aa9f9b7621f38bbfa8c1.zip
Don't try to upload coverage on builds which don't produce coverage
Diffstat (limited to '.travis')
-rwxr-xr-x.travis/upload_coverage.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.travis/upload_coverage.sh b/.travis/upload_coverage.sh
new file mode 100755
index 00000000..554116f7
--- /dev/null
+++ b/.travis/upload_coverage.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+set -x
+
+NO_COVERAGE_TOXENVS=(pypy pypy3 pep8 py3pep8 docs)
+if ! [[ "${NO_COVERAGE_TOXENVS[*]}" =~ "${TOXENV}" ]]; then
+ source ~/.venv/bin/activate
+ bash <(curl -s https://codecov.io/bash) -e TRAVIS_OS_NAME,TOXENV,OPENSSL
+fi